Summary:	Patches utilities 
Name:		patchutils
Version:	0.4.2
Release:	%mkrel 3
License:	GPLv2+
Group:		Text tools
URL:		http://cyberelk.net/tim/software/patchutils/
Source0:	http://cyberelk.net/tim/data/patchutils/stable/%{name}-%{version}.tar.xz
Source1:	http://cyberelk.net/tim/data/patchutils/stable/%{name}-%{version}.tar.xz.sig
Requires:	patch
Requires:	diffutils
BuildRequires:	xmlto
Provides:	interdiff
Obsoletes:	interdiff < 0.3.1

%description
Patchutils contains interdiff and filterdiff.

You can use interdiff to create an incremental patch between two patches
that are against a common source tree.

Filterdiff is for extracting or excluding patches from a patch set based
on modified files matching shell wildcards.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%check
make tests

%install
%make_install

%files
%doc AUTHORS ChangeLog COPYING README BUGS NEWS
%{_bindir}/*
%{_mandir}/man1/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.4.2-3.mga10
+ Revision: 2196606
- Mageia 10 Mass Rebuild

* Sat Mar 19 2022 umeabot <umeabot> 0.4.2-2.mga9
+ Revision: 1799785
- Mageia 9 Mass Rebuild

* Wed Aug 05 2020 luigiwalser <luigiwalser> 0.4.2-1.mga8
+ Revision: 1611226
- 0.4.2
- remove patches (fixed upstream)

* Fri Feb 14 2020 umeabot <umeabot> 0.3.4-3.mga8
+ Revision: 1515834
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.3.4-2.mga7
+ Revision: 1300122
- Mageia 7 Mass Rebuild

* Mon Jan 25 2016 luigiwalser <luigiwalser> 0.3.4-1.mga6
+ Revision: 927236
- 0.3.4
- add patch from fedora to fix handling of delete-file diffs from git

* Wed Oct 15 2014 umeabot <umeabot> 0.3.3-4.mga5
+ Revision: 745239
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.3-3.mga5
+ Revision: 683353
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.3.3-2.mga4
+ Revision: 523736
- Mageia 4 Mass Rebuild

* Fri May 24 2013 tv <tv> 0.3.3-1.mga4
+ Revision: 426604
- new release
- new release

* Sun Jan 13 2013 umeabot <umeabot> 0.3.2-3.mga3
+ Revision: 362458
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun May 15 2011 pterjan <pterjan> 0.3.2-2.mga1
+ Revision: 99025
- Rebuild for fixed find-requires

* Wed Apr 13 2011 tv <tv> 0.3.2-1.mga1
+ Revision: 84575
- new release
- fix license

* Sun Jan 09 2011 kharec <kharec> 0.3.1-2.mga1
+ Revision: 3593
- imported package patchutils


* Mon Sep 14 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.3.1-2mdv2010.0
+ Revision: 440497
- rebuild

* Sun Jan 25 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.1-1mdv2009.1
+ Revision: 333527
- Patch0: fix build with -Werror=format-security flag
- update to new version 0.3.1
- spec file clean

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3.0-1mdv2009.0
+ Revision: 241337
- new release

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2.31-4mdv2009.0
+ Revision: 241136
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jun 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.2.31-2mdv2008.0
+ Revision: 43123
- use %%mkrel
- Import patchutils



* Thu Jun 16 2005 Lenny Cartier <lenny@mandriva.com> 0.2.31-1mdk
- 0.2.31

* Fri Jul 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.2.30-1mdk
- 0.2.30

* Tue Apr 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.29-1mdk
- new release

* Tue Jan 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.2.26-1mdk
- 0.2.26

* Wed Dec 17 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.25-1mdk
- new release

* Sun Jul 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.2.24-1mdk
- 0.2.24

* Fri Jun 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.2.23-1mdk
- 0.2.23

* Fri Apr 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.22-1mdk
- new release

* Mon Feb 03 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.20-1mdk
- new release

* Thu Jan 02 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.18-1mdk
- new release

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.17-1mdk
- new release

* Fri Aug 16 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.16-1mdk
- new release:
	o a new option (--annotate) was added to filterdiff
	o interdiff can now strip context lines from patches

* Wed Jul 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.15-1mdk
- 0.2.15

* Tue May 21 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.14-1mdk
- new release

* Fri May 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.13-1mdk
- 0.2.13

* Sat Apr 20 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.12-1mdk
- new release:
	- new interdiff option (--debug)
	- describe new usages of filterdiff
	- stricter checking in tests
	- fix offset in interdiff

* Wed Apr 17 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.12-0.1pre1mdk
- new release:
   - more tests
   - -q (quiet) option
   - document basic usage
   - interdiff remove temp files on evasive action (typically when patches're
     too different)
   - Handle GNU diff's output format, which differs slightly from the one
     described in SuSV2.
   - default number of lines of context is 3, not 2.
- remove useless prefix
- run tests

* Fri Apr 12 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.11-1mdk
- new release
- add editdiff(1) manpage

* Mon Mar 04 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.10-1mdk
- update

* Mon Feb 25 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.9-1mdk
- new release (bug fix in cvs diff handling)

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.8-1mdk
- new release

* Sun Jan 20 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.7-2mdk
- Requires: patch diffutils

* Wed Dec 19 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.7-1mdk
- new release

* Mon Dec 03 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.5-1mdk
- new release

* Thu Nov 29 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.4-2mdk
- fix %%url (chmouel)

* Wed Nov 28 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.4-1mdk
- new release

* Thu Nov 22 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.3-1mdk
- new release

* Tue Nov 20 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.2-1mdk
- new release

* Tue Nov 13 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.0-1mdk
- new release

* Tue Oct 23 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.5-1mdk
- new release

* Wed Oct 17 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.4-1mdk
- new release

* Tue Oct 16 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.3-1mdk
- initial release
- obsoletes interdiff
- macroize
- more docs
